Overview
GET
/bucket/bucket-types/{id}bucketGet bucket_types by id
Fetch a record from bucket-types by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
bucket_types
- idstring
- ecosystemIdstring
- bucketIdstring
- sqlTableNamestring
- namestring
- descriptionstring
- refModestring
- metadatastring | number | boolean? | object | any[]?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"bucketId": "string",
"sqlTableName": "string",
"name": "string",
"description": "string",
"refMode": "string",
"metadata": "string",
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/bucket/bucket-types/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/bucket/bucket-types/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();